{% if groceryItem_list.count > 0 and user.is_anonymous == False %}
<h1>Welcome {{user.first_name}} {{user.last_name}}!</h1>
<h3>These are your grocery list</h3>
    <ul>
    {% for eachItem in groceryItem_list %}
        <li><a href='/djangopractice/{{ eachItem.id }}'>{{eachItem.item_name}}</a></li>
    {% endfor %}
    </ul>
<h4>Do you wish to <a href="/djangopractice/change_password">change password</a></h4>
<h4>Do you wish to <a href="/djangopractice/logout">logout</a></h4>

{% elif groceryItem_list.count == 0 and user%}
    <p>No grocery items have been added.</p>

{% else %}
    <h1>You are not authorized to access this page.</h1>
    <p>Kindly login <a href="/djangopractice/login">here</a></p>   
    
{% endif %}